*** bit.orig	Tue Jun 20 08:11:43 2000
--- bit	Wed Jun 28 13:13:47 2000
***************
*** 151,159 ****
--- 151,163 ----
      check_fatal $?  "**** FAILED **** unable to make build tree"
      cd ${BUILDDIR}
  
+     echo BIT: Running in `pwd`:
+     ( set -x
+ 
      ../${BINUTILS}/configure --target=${target} \
        --verbose \
        --prefix=${INSTALL_POINT}
+     ) 
      check_fatal $?  "**** FAILED **** unable to configure binutils"
  
  
***************
*** 160,166 ****
--- 164,175 ----
      if [ ${do_build} = no ] ; then
        echo "**** SKIPPING BUILD OF BINUTILS  ****"
      else
+       echo BIT: Running in `pwd`:
+       ( set -x
+ 
        ${MAKE} all ${MAKE_DOCS} install
+ 
+       )
        check_fatal $?  "**** FAILED **** unable to build binutils"
      fi
  
***************
*** 176,188 ****
      check_fatal $?  "**** FAILED **** unable to make build tree"
      cd ${BUILDDIR}
  
  #  Configure to build the target requested
      ../${GCC}/configure --target=${target} \
        --with-gnu-as --with-gnu-ld --with-newlib --verbose \
!       --prefix=${INSTALL_POINT}
  
-       # --enable-languages='c c++'
- 
      if [ ${do_build} = no ] ; then
        echo "**** SKIPPING BUILD OF GCC AND NEWLIB ****"
        my_exit 0
--- 185,208 ----
      check_fatal $?  "**** FAILED **** unable to make build tree"
      cd ${BUILDDIR}
  
+ #  make installed binutils available on PATH
+     PATH=${INSTALL_POINT}/bin:{$PATH}
+     export PATH
+ 
+     if [ x${BUILD_OTHER_LANGUAGES} = xno ] ; then
+       LANGUAGE_OPTION=--enable-languages=c,c++
+     fi
+ 
+ 
  #  Configure to build the target requested
+     echo BIT: Running in `pwd`:
+     ( set -x
+  
      ../${GCC}/configure --target=${target} \
        --with-gnu-as --with-gnu-ld --with-newlib --verbose \
!       ${LANGUAGE_OPTION} --prefix=${INSTALL_POINT}
!     )
  
      if [ ${do_build} = no ] ; then
        echo "**** SKIPPING BUILD OF GCC AND NEWLIB ****"
        my_exit 0
***************
*** 195,202 ****
      if [ x${CFLAGS_ARG} = x ] ; then
        CFLAGS_ARG="-O2 -g"
      fi
!     echo "BIT: starting base build (step 1)"
      ${MAKE} CC=${GCC_ARG} CFLAGS="${CFLAGS_ARG}" all ${MAKE_DOCS} install
      check_fatal $?  "**** FAILED **** base build (step 1)"
      echo "BIT: completed base build (step 1)"
  
--- 215,226 ----
      if [ x${CFLAGS_ARG} = x ] ; then
        CFLAGS_ARG="-O2 -g"
      fi
! 
!     echo "BIT: starting base build (step 1) in `pwd`:"
!     ( set -x
! 
      ${MAKE} CC=${GCC_ARG} CFLAGS="${CFLAGS_ARG}" all ${MAKE_DOCS} install
+     )
      check_fatal $?  "**** FAILED **** base build (step 1)"
      echo "BIT: completed base build (step 1)"
  
